APT-SORTPKGS(1)

février 2004

NAME
apt-sortpkgs - Outil de tri des index de paquets.

SYNOPSIS

apt-sortpkgs [-hvs] [-o=option de configuration] [-c=fichier] fichier...

DESCRIPTION

Apt-sortpkgs prend un index (un index de Source ou un index de paquet) et trie leurs enregistrements selon le nom de paquet. Un tri des champs de chaque enregistrement est réalisé selon des règles internes.

Le résultat est envoyé sur la sortie standard ; l'entrée doit être un fichier analysable.

OPTIONS

Toutes les options de la ligne de commande peuvent être définies dans le fichier de configuration, les descriptions indiquant l'option de configuration concernée. Pour les options booléennes, vous pouvez inverser les réglages du fichiers de configuration avec -f-,--no-f, -f=no et d'autres variantes analogues.

-s, --source
    Utiliser un index de sources pour le tri des champs. Élément de configuration : APT::SortPkgs::Source.

-h, --help
    Afficher un bref résumé de l'utilisation.

-v, --version
    Afficher la version du programme.

-c, --config-file
    Fichier de configuration ; indique le fichier de configuration à utiliser. Le programme lira le fichier de configuration par défaut puis le fichier indiqué ici. Si les réglages de configuration doivent être établis avant l'analyse des fichiers de configuration par défaut, un fichier peut être indiqué avec la variable d'environnement APT_CONFIG. Veuillez consulter apt.conf(5) pour des informations sur la syntaxe d'utilisation.

-o, --option
    Définir une option de configuration ; permet de régler une option de configuration donnée. La syntaxe est -o Foo::Bar=bar. -o et --option peuvent être utilisées plusieurs fois pour définir des options différentes.

VOIR AUSSI

apt.conf(5)

DIAGNOSTICS

apt-sortpkgs retourne zéro si tout se passe bien ou 100 en cas d'erreur.

BOGUES

Page des bogues d'APT[1]. Si vous souhaitez signaler un bogue à propos d'APT, veuillez lire /usr/share/doc/debian/bug-reporting.txt ou utiliser la commande reportbug(1).

TRADUCTEURS

Jérôme Marant, Philippe Batailler, Christian Perrier bubulle@debian.org (2000, 2005, 2009, 2010), Équipe de traduction francophone de Debian debian-l10n-french@lists.debian.org

Veuillez noter que cette traduction peut contenir des parties non traduites Cela est volontaire, pour éviter de perdre du contenu quand la traduction est légèrement en retard sur le contenu d'origine.

AUTHORS

Jason Gunthorpe

Équipe de développement d'APT

NOTES

1.  Page des bogues d'APT
    http://bugs.debian.org/src:apt